com.holonplatform.vaadin7.components.builders

## Interface ViewComponentBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentBuilder<ViewComponent<T>,ViewComponentBuilder<T>>, ComponentConfigurator<ViewComponentBuilder<T>>

      public interface ViewComponentBuilder<T>
      extends ComponentBuilder<ViewComponent<T>,ViewComponentBuilder<T>>

  Builder to create `ViewComponent`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ViewComponentBuilder<T>` | `forProperty(com.holonplatform.core.property.Property<T> property)` Build a `ViewComponent` using given `property` for value presentation and configuration parameters source.
    `ViewComponentBuilder<T>` | `valueDisplayConverter(com.holonplatform.vaadin7.internal.components.LabelViewComponent.StringValueConverter<T> stringConverter)` Sets the converter to use to display values
    `ViewComponentBuilder<T>` | `withValueChangeListener(ValueHolder.ValueChangeListener<T> listener)` Add a `ValueHolder.ValueChangeListener` to the component.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### forProperty

          ViewComponentBuilder<T> forProperty(com.holonplatform.core.property.Property<T> property)

      Build a `ViewComponent` using given `property` for value presentation and configuration parameters source. The `Property.present(Object)` method will be called when value presentation is required.
      Parameters:
        `property` - Property (not null)
      Returns:
        this

    - #### valueDisplayConverter

          ViewComponentBuilder<T> valueDisplayConverter(com.holonplatform.vaadin7.internal.components.LabelViewComponent.StringValueConverter<T> stringConverter)

      Sets the converter to use to display values
      Parameters:
        `stringConverter` - the StringValueConverter to set
      Returns:
        this

    - #### withValueChangeListener

          ViewComponentBuilder<T> withValueChangeListener(ValueHolder.ValueChangeListener<T> listener)

      Add a `ValueHolder.ValueChangeListener` to the component.
      Parameters:
        `listener` - The ValueChangeListener to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.